package com.yd.api.agms.vo.tag;

/**
 * @author wenYang
 * @date 2021年06月30日 23:41
 */
public class TagViewUpdateRequestVO {
    private Long id;
    private String tagViewType; //标签显示类别(1=12宫格; 2=左侧热榜列表; 3=右上角筛选)
    private Long tagId; //标签ID
    private String tagName;//标签名称
    private String tagLevel;// 标签级别(1=一级标签;2=二级标签;3=三级标签,以此类推)
    private Long upperTagViewId;//上级前端显示标签ID
    private String displayImage;// UI上显示图片
    private Integer displayOrder;//UI上layout优先级
    private Integer isActive;// 1=active 2=inactive
    private String remark;//备注
    private Long loginId;
    
    /**
	 * @return the id
	 */
	public Long getId() {
		return id;
	}

	/**
	 * @param id the id to set
	 */
	public void setId(Long id) {
		this.id = id;
	}

	/**
	 * @return the tagViewType
	 */
	public String getTagViewType() {
		return tagViewType;
	}

	/**
	 * @param tagViewType the tagViewType to set
	 */
	public void setTagViewType(String tagViewType) {
		this.tagViewType = tagViewType;
	}

	/**
	 * @return the tagId
	 */
	public Long getTagId() {
		return tagId;
	}

	/**
	 * @param tagId the tagId to set
	 */
	public void setTagId(Long tagId) {
		this.tagId = tagId;
	}

	/**
	 * @return the tagName
	 */
	public String getTagName() {
		return tagName;
	}

	/**
	 * @param tagName the tagName to set
	 */
	public void setTagName(String tagName) {
		this.tagName = tagName;
	}

	/**
	 * @return the tagLevel
	 */
	public String getTagLevel() {
		return tagLevel;
	}

	/**
	 * @param tagLevel the tagLevel to set
	 */
	public void setTagLevel(String tagLevel) {
		this.tagLevel = tagLevel;
	}

	/**
	 * @return the upperTagViewId
	 */
	public Long getUpperTagViewId() {
		return upperTagViewId;
	}

	/**
	 * @param upperTagViewId the upperTagViewId to set
	 */
	public void setUpperTagViewId(Long upperTagViewId) {
		this.upperTagViewId = upperTagViewId;
	}

	/**
	 * @return the displayImage
	 */
	public String getDisplayImage() {
		return displayImage;
	}

	/**
	 * @param displayImage the displayImage to set
	 */
	public void setDisplayImage(String displayImage) {
		this.displayImage = displayImage;
	}

	/**
	 * @return the displayOrder
	 */
	public Integer getDisplayOrder() {
		return displayOrder;
	}

	/**
	 * @param displayOrder the displayOrder to set
	 */
	public void setDisplayOrder(Integer displayOrder) {
		this.displayOrder = displayOrder;
	}

	/**
	 * @return the isActive
	 */
	public Integer getIsActive() {
		return isActive;
	}

	/**
	 * @param isActive the isActive to set
	 */
	public void setIsActive(Integer isActive) {
		this.isActive = isActive;
	}

	/**
	 * @return the remark
	 */
	public String getRemark() {
		return remark;
	}

	/**
	 * @param remark the remark to set
	 */
	public void setRemark(String remark) {
		this.remark = remark;
	}

	
	/**
	 * @return the loginId
	 */
	public Long getLoginId() {
		return loginId;
	}

	/**
	 * @param loginId the loginId to set
	 */
	public void setLoginId(Long loginId) {
		this.loginId = loginId;
	}

	@Override
    public String toString() {
        return "MdTagView{" +
                "id=" + id +
                ", tagViewType='" + tagViewType + '\'' +
                ", tagId=" + tagId +
                ", tagName='" + tagName + '\'' +
                ", tagLevel='" + tagLevel + '\'' +
                ", upperTagViewId=" + upperTagViewId +
                ", displayImage='" + displayImage + '\'' +
                ", displayOrder=" + displayOrder +
                ", isActive=" + isActive +
                ", remark='" + remark +
                ", loginId='" + loginId +
                '}';
    }
}
